Method: projects.locations.userStores.userLicenses.export

상위 UserStore 아래의 모든 UserLicense를 단일 CSV 문서로 내보냅니다. 이는 관리 콘솔의 'CSV로 다운로드' 작업의 백엔드입니다. 관리자가 Excel 또는 Sheets에서 오프라인으로 정렬/필터링할 수 있도록 userLicenses.list 읽기 경로를 재사용합니다.

응답은 ExportUserLicensesResponse.csv_data에 전체 CSV (헤더 행과 데이터 행)를 인라인으로 전달합니다.

HTTP 요청


POST https://discoveryengine.googleapis.com/v1alpha/{parent=projects/*/locations/*/userStores/*}/userLicenses:export

URL은 gRPC 트랜스코딩 구문을 사용합니다.

경로 매개변수

매개변수
parent

string

(필수 항목) 상위 UserStore 리소스 이름이며, 형식은 projects/{project}/locations/{location}/userStores/{userStoreId}입니다. 이 UserStore 아래의 모든 UserLicense가 내보내집니다.

요청 본문

요청 본문은 비어 있어야 합니다.

응답 본문

UserLicenseService.ExportUserLicenses의 응답 메시지입니다.

성공한 경우 응답 본문은 다음과 같은 구조의 데이터를 포함합니다.

JSON 표현
{

  // The following is a list of mutually exclusive fields. At most one of the
  // fields will be set in a response:
  "csvData": string
  // End of mutually exclusive fields.
}
필드
내보낸 결과입니다. M1은 csv_data에 CSV를 인라인으로 반환합니다. oneof는 계약을 깨지 않고 향후 대량 내보내기 변형 (예: GCS URI)을 위한 여지를 남깁니다. 다음은 상호 배타적인 필드의 목록입니다. 응답에는 다음 필드 중 최대 하나가 설정됩니다.
csvData

string (bytes format)

전체 CSV 문서를 원시 바이트로 나타냅니다. 헤더 행 다음에 UserLicense당 하나의 행이 옵니다. 사용자 라이선스 데이터 (예: 사용자 이메일)를 포함합니다. 일치하는 라이선스가 없는 내보내기에는 헤더 행만 포함됩니다.

base64 인코딩 문자열입니다.

상호 배타적 필드의 끝입니다.

승인 범위

다음 OAuth 범위 중 하나가 필요합니다.

  • https://www.googleapis.com/auth/cloud-platform
  • https://www.googleapis.com/auth/discoveryengine.readwrite
  • https://www.googleapis.com/auth/discoveryengine.serving.readwrite

자세한 내용은 Authentication Overview에서 확인하세요.

IAM 권한

parent 리소스에 대해서는 다음 IAM 권한이 필요합니다.

  • discoveryengine.userStores.listUserLicenses

자세한 내용은 IAM 문서를 참조하세요.